Package com.macrofocus.common.properties

# Class AbstractProperties<K>

java.lang.Object
com.macrofocus.common.properties.AbstractProperties<K>

All Implemented Interfaces:
  `Properties<K>`, `Iterable<K>`

Direct Known Subclasses:
  `EnumOverrideProperties`, `EnumProperties`, `OverrideProperties`, `SimpleProperties`

public abstract class AbstractProperties<K> extends Object implements Properties<K>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractProperties()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addPropertiesListener(PropertiesListener<K> listener)`
  Add a listener to the list that's notified each time a change to the properties occurs.
  `void`
  `addWeakPropertiesListener(PropertiesListener<K> listener)`
  Add a listener to the list that's notified each time a change to the properties occurs.
  `protected void`
  `notifyPropertyChanged(K name, PropertyEvent event)`
  `void`
  `removePropertiesListener(PropertiesListener<K> listener)`
  Remove a listener to the list that's notified each time a change to the properties occurs.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.lang.Iterable

  `forEach, spliterator`

  ### Methods inherited from interface com.macrofocus.common.properties.Properties

  `getProperty, getValue, iterator`

- ## Constructor Details

  - ### AbstractProperties

    public AbstractProperties()

- ## Method Details

  - ### addPropertiesListener

    public void addPropertiesListener(PropertiesListener<K> listener)
    Description copied from interface: `Properties`
    Add a listener to the list that's notified each time a change to the properties occurs.
    Specified by:
      `addPropertiesListener` in interface `Properties<K>`
    Parameters:
      `listener` - the PropertiesListener

  - ### addWeakPropertiesListener

    public void addWeakPropertiesListener(PropertiesListener<K> listener)
    Description copied from interface: `Properties`
    Add a listener to the list that's notified each time a change to the properties occurs. The listener will automatically be disposed of should no other object have a reference to it.
    Specified by:
      `addWeakPropertiesListener` in interface `Properties<K>`
    Parameters:
      `listener` - the PropertiesListener

  - ### removePropertiesListener

    public void removePropertiesListener(PropertiesListener<K> listener)
    Description copied from interface: `Properties`
    Remove a listener to the list that's notified each time a change to the properties occurs.
    Specified by:
      `removePropertiesListener` in interface `Properties<K>`
    Parameters:
      `listener` - the SelectionListener

  - ### notifyPropertyChanged

    protected void notifyPropertyChanged(K name, PropertyEvent event)